The environment's alert silences in force.
GET
/api/v1/projects/{project}/environments/{environment}/silences
const url = 'https://example.com/api/v1/projects/example/environments/example/silences';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/silencesParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
Query Parameters
Section titled “Query Parameters”all
boolean
Include ended and lifted ones.
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
required
string format: uuid
reason
required
string
app
Silences only: the app, when not the whole environment.
string | null format: uuid
createdBy
required
string
startsAt
required
string
endsAt
required
string
liftedAt
string | null
active
required
In force now.
boolean
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reason": "example", "app": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdBy": "example", "startsAt": "example", "endsAt": "example", "liftedAt": "example", "active": true }]